Bug 625343 - [RFE] vdsm should have timer for the short operations sent to libvirt
[RFE] vdsm should have timer for the short operations sent to libvirt
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
All Linux
low Severity high
: ---
: ---
Assigned To: Federico Simoncelli
infra
: FutureFeature, SubFeature
: 622488 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 02:42 EDT by Moran Goldboim
Modified: 2013-03-12 12:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 12:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Moran Goldboim 2010-08-19 02:42:54 EDT
Description of problem:
we have seen a case in which a resume command to libvirt (short operation) is stuck on libvirt forever which put the vm on a stuck status on vdsm/rhevm as well fore ever- vdsm should have a protraction at least against this actions 

Version-Release number of selected component (if applicable):
2.6.32-63.el6.x86_64
libvirt-0.8.1-24.el6.x86_64
vdsm-4.9-12.el6.x86_64
device-mapper-multipath-0.4.9-25.el6.x86_64
lvm2-2.02.72-7.el6.x86_64
qemu-kvm-0.12.1.2-2.109.el6.x86_64

How reproducible:


Steps to Reproduce:
1.we have seen this issue happening on https://bugzilla.redhat.com/show_bug.cgi?id=625100
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Barak 2010-11-21 11:11:42 EST
*** Bug 622488 has been marked as a duplicate of this bug. ***
Comment 3 Barak 2010-11-28 12:00:23 EST
In case the create operation  (VDSM -> LIBVIRT) does not return (as in the above described scenario). 
It should have beed solved by the API timeout mechanism in libvirt, but this mechanism does not support such scenarios.

In order to solve this we need to build an internal timeout mechanism in VDSM->Libvirt communiction, it looks like impossible to do so since libvirt does not support cancel (and clean up) of creation command.
Comment 4 Dave Allan 2011-06-22 22:23:23 EDT
I only just noticed the needinfo set for me on this BZ, sorry for the delay.  This situation should be solved by the work we're doing for BZ 692663.
Comment 5 Itamar Heim 2013-03-12 12:00:15 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.